namespace app.directives {
    export class Upload implements ng.IDirective {

      public restrict: string;
      public replace: boolean;
      public templateUrl: string;
      public scope: boolean;
      public controller: string;
      public controllerAs: string;
      public bindToController: Object;

        /**
         * constructor
         * @param
         */
      constructor() {
        this.restrict = 'E';
        this.replace = true;
        this.scope = true;
        this.controller = 'UploadController';
        this.controllerAs = 'ctrl';
        this.bindToController = {
                index: '=',
                name: '=',
                remove: '&',
                list: '='
        };
        this.templateUrl = 'templates/upload.html';
        console.log("templates/upload.html-constructor");
    }

    /**
         * instance生成
         * @returns {function(): HeaderMenu}
         * @constructor
    */
    public static Factory(): ng.IDirectiveFactory {
        var directive = () => {
          return new Upload();
        };
        directive.$inject = [];
          return directive;
    }
}

export class UploadController {
    public static $inject = ['APIEndPoint', '$scope', 'MyModal', 'WebSocket', '$window', '$rootScope', 'Console'];

    // From parent directive bindToController property
    private index: string;
    private name: string;
    private remove: Function;
    private workspace: declares.IFileInfo;

        // property of ui.bootstrap uib-accordion directive
    private isOpen: boolean;
    private heading: string;

        // property about Option directive
    private files: any;
    private options: declares.IOption[];
    private dirs: any;
    private messages: any;

    private uuid: string; // uuid of Instance of Command directive

    constructor(private APIEndPoint: services.APIEndPoint,
        private $scope: ng.IScope,
        private MyModal: services.MyModal,
        private WebSocket: services.WebSocket,
        private $window: ng.IWindowService,
        private $rootScope: ng.IRootScopeService,
        private Console: services.Console
        ) {
            var controller = this;
            console.log("directive.upload-constructor");

            //this.APIEndPoint
            //this.APIEndPoint
            //.upload()
            //.then((result) => {
            //    console.log(result);
            //})
    }

    public submit() {
        console.log("submit: function not supported¥n")
    }
  }
}
