'use strict';

var express    = require('express');
var router     = express.Router()
var path       = require('path')
var formidable = require('formidable')
var db = require(__dirname + '/../../../../server/class/DB').instance;

router.get('/:fileId?', function(req, res) {
    var fileId = req.param('fileId');
    if(!fileId || fileId === '1f83f620-c1ed-11e5-9657-7942989daa00') {
        fileId === '1f83f620-c1ed-11e5-9657-7942989daa00';
    }
    db.getFiles(fileId)
    .then(function(r) {
        var info = {
            status: 'success',
            info: r
        }
        res.send(info);
    })
    .catch(function(err) {
        var info = {
            status: 'error',
            message: err.message
        };
        res.send(info);
    })
});

module.exports = router;
