///<reference path="./reference.ts" />
import 'angular';
import 'angular-ui-router';
import 'angular-resource';
import 'angular-ui-bootstrap';

// declares
import './declares.ts';

// services
import './services/APIEndPoint.ts';
import './services/MyModal.ts';
import './services/WebSocket.ts';
import './services/Console.ts';

// directives
import './directives/Option.ts';
import './directives/Command.ts';
import './directives/HeaderMenu.ts';
import './directives/Directory.ts';
import './directives/Upload.ts';


// controllers
import './controllers/Execution.ts';
import './controllers/Workspace.ts';
import './controllers/History.ts';
import './controllers/SelectCommand.ts';
import './controllers/Preview.ts';
import './controllers/Upload.ts';

import './App.ts';
